/**
 * 
 */
package org.springframework.samples.kyuriboard.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * @author DAMI(archy712@naver.com)
 *
 */
public class User implements Serializable {

	/**
	 * 직렬화 ID
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 사용자 ID
	 */
	private String userId;
	
	/**
	 * 사용자 명
	 */
	private String userName;
	
	/**
	 * 사용자 비밀번호
	 */
	private String passwd;
	
	/**
	 * 사용자 이메일
	 */
	private String email;
	
	/**
	 * 사용자 등록일
	 */
	private Date insertDate;

	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * @return the insertDate
	 */
	public Date getInsertDate() {
		return insertDate;
	}

	/**
	 * @param insertDate the insertDate to set
	 */
	public void setInsertDate(Date insertDate) {
		this.insertDate = insertDate;
	}

	/**
	 * @return the passwd
	 */
	public String getPasswd() {
		return passwd;
	}

	/**
	 * @param passwd the passwd to set
	 */
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}

	/**
	 * @return the userId
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * @param userId the userId to set
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
	 * @return the userName
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * @param userName the userName to set
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	

}
